| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__GetNumberPlanListRequest Struct Reference
Number Plan

Get Number Plan List request. More...

`#include <osv-if-doc.h>`

## Public Attributes
unsp__NumberPlanName | NumberPlanName
| Allows filtering for a specific Number Plan. More...
char * | InterfaceWSDL
| Indicates the WSDL version supported be the client; for backwards compatibility purposes. More...
char * | BGName
| Allows filtering for a specific Business Group. More...
xsd__boolean * | CombinedList
| Indicates whether results should include global number plans and BG specific number plans. More...
struct unsp__Paging * | Paging
| Standard paging structure. More...
xsd__boolean * | BGCommon
| Indicates whether the list of BG Common Number Plans is to be retrieved. More...

## Detailed Description

Get Number Plan List request.

Used by unsp__GetNumberPlanList2()

## Member Data Documentation

## ◆ BGCommon

xsd__boolean* unsp__GetNumberPlanListRequest::BGCommon

Indicates whether the list of BG Common Number Plans is to be retrieved.

If the field is not provided, there shall be no filtering on BG Common Numbering Plan. If the field is provided, and the value is false, only Numbering Plans that are not BG Common Numbering Plans will be returned. If the field is provided, and the value is true, only Numbering Plans that are BG Common Numbering Plans will be returned
required: false
default value[range]: false

## ◆ BGName

char* unsp__GetNumberPlanListRequest::BGName

Allows filtering for a specific Business Group.

required: false

See also
  unsp__BGName

## ◆ CombinedList

xsd__boolean* unsp__GetNumberPlanListRequest::CombinedList

Indicates whether results should include global number plans and BG specific number plans.

- If a BG Name is specified, CombinedList indicates whether the returned list should include system wide Numbering Plans as well as those associated with the specified BG.
- If no BG Name is specified, CombinedList indicates whether the returned list should include all BG-related Numbering Plans as well as the system wide Numbering Plans

required: false
default value[range]: false

## ◆ InterfaceWSDL

char* unsp__GetNumberPlanListRequest::InterfaceWSDL

Indicates the WSDL version supported be the client; for backwards compatibility purposes.

required: false

## ◆ NumberPlanName

unsp__NumberPlanName unsp__GetNumberPlanListRequest::NumberPlanName

Allows filtering for a specific Number Plan.

required: false

See also
  unsp__NumberPlanName

## ◆ Paging

struct unsp__Paging* unsp__GetNumberPlanListRequest::Paging

Standard paging structure.

required: false

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h